:root {
	--propNavLateralWidth: 250px; /* Larghezza della barra di navigazione laterale Docsweb, serve per la left frame fissato in basso */
	--propFixedFrameHeight: 40px; /* Altezza desiderate del frame fissato in basso */
}

canvas {
    width: auto !important;
    height: auto !important;
    max-width: none !important;
}

div[fieldid="CopiaElaborata_DocumentoElaborato"] > span.pqgrid-img-versioning{
	display : none !important;
}

::-webkit-scrollbar{
	width : 12px !important;
	height : 12px !important ;
}
/* form[id^="dialog_"] .dialog_frame_bottom_fixed { */
	/* position: fixed !important; */
	/* top: unset !important; */
	/* bottom: 0; */
	/* left: var(--propNavLateralWidth) !important; */
	/* width: 100% !important; */
	/* height: var(--propFixedFrameHeight) !important; */
	/* z-index: 999; */
	/* background: #ffffff; */
	/* border-top: 1px solid #b9b9b5; */
/* } */

/* form[id^="dialog_"]:has(.dialog_frame_bottom_fixed) { */
	/* height: calc(100% - calc(var(--propFixedFrameHeight) - 2px)) !important; */
/* } */

form[id^="dialog_"] .dialog_group_dotted {
	border: 3px dotted #cccccc; 
	font-weight: bold; 
	font-size: 14px; 
	padding: 10px;
	color: #1c7eaf;
	z-index: -1;
}

form[id^="dialog_"] .dialog_group_line_bottom {
	border-bottom: 1px solid #cccccc;
	font-weight: bold;
	font-size: 14px;
	color: #1c7eaf;
	z-index: -1;
}

/* form[id^="dialog"] input[type="button"]:disabled, */
/* form[id^="dialog"] input[type="button"][readonly], */
/* form[id^="dialog"] input[type="button"][disabled] { */
	/* background-color: #e9ecef !important; */
	/* color: #495057 !important; */
	/* border: solid 1px #ced4da !important; */
/* } */

.status_container {
	width: 120px;
	height: 30px;
	padding: 5px 15px;
	border-radius: 5px;
	display: flex;
	justify-content: flex-start;
	align-items: center;
	background-color: #ffffff;
	gap: 8px;
}

.status_blue {
	color: #0ea5e9;
}

.status_green {
	color: #22c55e;
}

.status_red {
	color: #ef4444;
}

.status_gray {
	color: #636363;
}

.status_gold {
	color: #ffd700;
}

.dialog_required_field {
	border: 1px solid #FF0000 !important;
}

.dialog_alterned_field {
	border: 1px solid #FFA500 !important;
}

.fileupload_disabled {
	background-color: rgb(243, 243, 244) !important;
}

/* TABS OFFERTA */
div.dialogTabsContainer > div[istab] {
	top: 0 !important;
}

select[readonly] {
    background-color: #f3f3f4 !important; /* Colore di sfondo grigio */
    color: #7f7f7f !important; /* Colore del testo grigio */
}

/* form#dialog_H00000004T_H0000000M9 input:not([type='button']):not([type='submit']):not([type='checkbox']):not([type='radio']):not(.rivelato), */
/* form#dialog_H00000004T_H0000000M9 textarea:not(.rivelato) { */
	/* color: transparent; */
	/* text-shadow: 0 0 5px rgba(0, 0, 0, 0.5); */
	/* caret-color: black; */
	/* transition: all 0.3s ease; */
/* } */

/* form#dialog_H00000004T_H0000000M9 input:not(.rivelato)::selection, */
/* form#dialog_H00000004T_H0000000M9 textarea:not(.rivelato)::selection { */
	/* color: transparent; */
	/* text-shadow: 0 0 5px rgba(0, 0, 0, 0.5); */
	/* background-color: rgba(0, 0, 0, 0.1); */
/* } */

input#H0000000M9_H000000837:not([customstyle]) {
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='white' width='18px' height='18px'%3E%3Cpath d='M0 0h24v24H0V0z' fill='none'/%3E%3Cpath d='M16 1H4c-1.1 0-2 .9-2 2v14h2V3h12V1zm3 4H8c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h11c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 16H8V7h11v14z'/%3E%3C/svg%3E");background-repeat: no-repeat;
	background-position: 10px center;
}

input#H0000000M9_H000000837[customstyle]{
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='white' width='18px' height='18px'%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3Cpath d='M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-position: 10px center;
}